Package org.apache.solr.common.util

# Interface JsonRecordReader.Handler

Enclosing class:
  `JsonRecordReader`

public static interface JsonRecordReader.Handler
Implement this interface to stream records as and when one is found.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Map<String,Object> record, String path)`

## Method Details

### handle

void handle(Map<String,Object> record, String path)

Parameters:
  `record` - The record map. The key is the field name as provided in the addField() methods. The value can be a single String (for single valued fields) or a List<String> (for multiValued). This map is mutable. DO NOT alter the map or store it for later use. If it must be stored, make a deep copy before doing so
  `path` - The forEach path for which this record is being emitted If there is any change all parsing will be aborted and the Exception is propagated up